#!/bin/sh
#

EXT=rsyslog
TCZ=/tmp/$EXT/TCZ

sudo rm -rf /tmp/$EXT

for a in compiletc bash squashfs-tools \
		jemalloc-dev mariadb-10.1-dev postgresql-9.5-dev \
		net-snmp-dev libestr-dev libfastjson-dev \
		curl-dev libgcrypt-dev liblognorm-dev liblogging-dev \
		libnet-dev
	do tce-load -i $a
done

sed -i -e 's#"/etc/rsyslog.conf"#"/usr/local/etc/rsyslog.conf"#' tools/rsyslogd.c

#make clean
./configure \
	--prefix=/usr/local \
	--localstatedir=/var \
	--enable-shared \
	--enable-regexp \
	--enable-klog \
	--enable-kmsg \
	--disable-imjournal \
	--enable-inet \
	--enable-jemalloc \
	--enable-diagtools \
	--enable-usertools \
	--enable-mysql \
	--enable-pgsql \
	--enable-snmp \
	--enable-uuid \
	--enable-elasticsearch \
	--enable-libgcrypt \
	--enable-rsyslogrt \
	--enable-rsyslogd \
	--enable-mmnormalize \
	--enable-mmjsonparse \
	--enable-mmaudit \
	--enable-mmanon \
	--enable-mmutf8fix \
	--enable-mmcount \
	--enable-mmsequence \
	--enable-mmfields \
	--enable-imfile \
	--enable-imptcp \
	--enable-impstats \
	--enable-omprog \
	--enable-omudpspoof \
	--enable-omstdout \
	--disable-omjournal \
	--enable-pmlastmsg \
	--enable-pmcisconames \
	--enable-pmciscoios \
	--enable-omruleset \
	--enable-mmsnmptrapd \
	--enable-omhttpfs \
	--disable-generate-man-pages \
	|| exit

make || exit

if [ $(grep -q '^install-strip:' Makefile) ]; then
	make install-strip DESTDIR=$TCZ
else
	make install DESTDIR=$TCZ
	for a in $(find $TCZ -type f); do file -b $a | grep -q '^ELF .*not stripped$' && strip $a; done
fi

sudo chown -R root.root $TCZ*

mksquashfs $TCZ /tmp/$EXT/$EXT.tcz -noappend

